org.keycloak.dom.saml.v2.metadata

## Class OrganizationType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.OrganizationType

-     public class OrganizationType
      extends TypeWithOtherAttributes

  Java class for OrganizationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OrganizationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}OrganizationName" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}OrganizationDisplayName" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}OrganizationURL" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtensionsType` | `extensions`
    `protected List<LocalizedNameType>` | `organizationDisplayName`
    `protected List<LocalizedNameType>` | `organizationName`
    `protected List<LocalizedURIType>` | `organizationURL`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrganizationDisplayName(LocalizedNameType name)` Add organization display name
    `void` | `addOrganizationName(LocalizedNameType name)` Add an organization name
    `void` | `addOrganizationURL(LocalizedURIType uri)` Add organization url
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `List<LocalizedNameType>` | `getOrganizationDisplayName()` Gets the value of the organizationDisplayName property.
    `List<LocalizedNameType>` | `getOrganizationName()` Gets the value of the organizationName property.
    `List<LocalizedURIType>` | `getOrganizationURL()` Gets the value of the organizationURL property.
    `void` | `removeOrganizationDisplayName(LocalizedNameType name)` remove organization display name
    `void` | `removeOrganizationName(LocalizedNameType name)` remove an organization name
    `void` | `removeOrganizationURL(LocalizedURIType uri)` remove organization url
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extensions

          protected ExtensionsType extensions

    - #### organizationName

          protected List<LocalizedNameType> organizationName

    - #### organizationDisplayName

          protected List<LocalizedNameType> organizationDisplayName

    - #### organizationURL

          protected List<LocalizedURIType> organizationURL

  - ### Constructor Detail

    - #### OrganizationType

          public OrganizationType()

  - ### Method Detail

    - #### addOrganizationName

          public void addOrganizationName(LocalizedNameType name)

      Add an organization name
      Parameters:
        `name` -

    - #### addOrganizationDisplayName

          public void addOrganizationDisplayName(LocalizedNameType name)

      Add organization display name
      Parameters:
        `name` -

    - #### addOrganizationURL

          public void addOrganizationURL(LocalizedURIType uri)

      Add organization url
      Parameters:
        `uri` -

    - #### removeOrganizationName

          public void removeOrganizationName(LocalizedNameType name)

      remove an organization name
      Parameters:
        `name` -

    - #### removeOrganizationDisplayName

          public void removeOrganizationDisplayName(LocalizedNameType name)

      remove organization display name
      Parameters:
        `name` -

    - #### removeOrganizationURL

          public void removeOrganizationURL(LocalizedURIType uri)

      remove organization url
      Parameters:
        `uri` -

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getOrganizationName

          public List<LocalizedNameType> getOrganizationName()

      Gets the value of the organizationName property.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### getOrganizationDisplayName

          public List<LocalizedNameType> getOrganizationDisplayName()

      Gets the value of the organizationDisplayName property.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### getOrganizationURL

          public List<LocalizedURIType> getOrganizationURL()

      Gets the value of the organizationURL property.

Copyright © 2021 JBoss by Red Hat. All rights reserved.